Edits a place's group memberships. Note that all groups a place should belong to must be passed in. Passing in one group means that the place will belong to one group only, even if it previously belonged to several. Only manual groups assignments can be changed; auto groups are unaffected.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| placeId | The place identifier whose group memberships are being edited | integer (int32) | Required |
Request Body
Array of:
PlaceGroupMember
| Property | Description | Type |
|---|---|---|
| includeInCharts | Whether to include this place in the group’s benchmark charts Required (defined) | boolean |
| placeGroupId | The place group this place will belong to Required (defined) | integer (int32) |
Example Request Body
[
{ "includeInCharts": false, "placeGroupId": 1
}
]
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
PlaceGroupResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| autoGroup | Indicates if this place group is an autogroup | boolean | ||||||||||||
| lastUpdated | The last time a member was inserted, updated, or deleted from the group | string (date-time) | ||||||||||||
| placeGroupCategory | PlaceGroupCategoryChild | |||||||||||||
|
PlaceGroupCategoryChild properties
|
||||||||||||||
| placeGroupCode | The place group code | string | ||||||||||||
| placeGroupId | The place group identifier | integer (int32) | ||||||||||||
| placeGroupInfo | The place group info | string | ||||||||||||
| userDefinedAutoGroup | Indicates if this place group is an user defined auto group | boolean | ||||||||||||
Example Response
[
{ "autoGroup": false, "lastUpdated": "2026-03-30", "placeGroupCategory": { "placeGroupCategoryCode": "string", "placeGroupCategoryId": 1, "placeGroupCategoryInfo": "string"
}, "placeGroupCode": "string", "placeGroupId": 1, "placeGroupInfo": "string", "userDefinedAutoGroup": false
}
]